DOVEADM-MOVE(1)

NAME
doveadm-move - Move messages matching the given search query into another mailbox

SYNOPSIS
doveadm [-Dv] move [-S socket_path] destination search_query
doveadm [-Dv] move [-S socket_path] -A destination search_query
doveadm [-Dv] move [-S socket_path] -u user destination search_query

DESCRIPTION
doveadm move can be used for moving mails between mailboxes for one or more users. The search_query is used to restrict which messages are moved into the destination mailbox.

In the first form, doveadm(1) will executed the move action with the environment of the logged in system user.

In the second form, doveadm(1) will iterate over all users, found in the configured user_db(s), and move each user's messages, matching the given search_query, into the user's destination mailbox.

In the third form, matching mails will be moved only for given user(s). @INCLUDE:global-options@

Command specific options: @INCLUDE:option-A@ @INCLUDE:option-S-socket@ @INCLUDE:option-u-user@

ARGUMENTS

destination
    The name of the destination mailbox, into which the mails should be moved. The destination mailbox must exist, otherwise this command will fail.

search_query
    Move messages matching the given search query. See doveadm-search-query(7) for details.

EXAMPLE
Move jane's messages - received in September 2011 - from her INBOX into her archive.

doveadm move -u jane Archive/2011/09 mailbox INBOX BEFORE \
2011-10-01 SINCE 01-Sep-2011
@INCLUDE:reporting-bugs@

SEE ALSO
doveadm(1), doveadm-search-query(7)